<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "seguimiento_bebeinfo.php" ?>
<?php include_once "ficha_usuarioinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$seguimiento_bebe_view = NULL; // Initialize page object first

class cseguimiento_bebe_view extends cseguimiento_bebe {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{43FC4B6C-8131-46B1-916C-14DB52B1691D}";

	// Table name
	var $TableName = 'seguimiento_bebe';

	// Page object name
	var $PageObjName = 'seguimiento_bebe_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Custom export
	var $ExportExcelCustom = FALSE;
	var $ExportWordCustom = FALSE;
	var $ExportPdfCustom = FALSE;
	var $ExportEmailCustom = FALSE;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (seguimiento_bebe)
		if (!isset($GLOBALS["seguimiento_bebe"]) || get_class($GLOBALS["seguimiento_bebe"]) == "cseguimiento_bebe") {
			$GLOBALS["seguimiento_bebe"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["seguimiento_bebe"];
		}
		$KeyUrl = "";
		if (@$_GET["id"] <> "") {
			$this->RecKey["id"] = $_GET["id"];
			$KeyUrl .= "&amp;id=" . urlencode($this->RecKey["id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Table object (ficha_usuario)
		if (!isset($GLOBALS['ficha_usuario'])) $GLOBALS['ficha_usuario'] = new cficha_usuario();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'seguimiento_bebe', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// User table object (ficha_usuario)
		if (!isset($UserTable)) {
			$UserTable = new cficha_usuario();
			$UserTableConn = Conn($UserTable->DBID);
		}

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "div";
		$this->ExportOptions->TagClassName = "ewExportOption";

		// Other options
		$this->OtherOptions['action'] = new cListOptions();
		$this->OtherOptions['action']->Tag = "div";
		$this->OtherOptions['action']->TagClassName = "ewActionOption";
		$this->OtherOptions['detail'] = new cListOptions();
		$this->OtherOptions['detail']->Tag = "div";
		$this->OtherOptions['detail']->TagClassName = "ewDetailOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanView()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("seguimiento_bebelist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}
		if ($Security->IsLoggedIn()) {
			$Security->UserID_Loading();
			$Security->LoadUserID();
			$Security->UserID_Loaded();
		}

		// Get export parameters
		$custom = "";
		if (@$_GET["export"] <> "") {
			$this->Export = $_GET["export"];
			$custom = @$_GET["custom"];
		} elseif (@$_POST["export"] <> "") {
			$this->Export = $_POST["export"];
			$custom = @$_POST["custom"];
		} elseif (ew_IsHttpPost()) {
			if (@$_POST["exporttype"] <> "")
				$this->Export = $_POST["exporttype"];
			$custom = @$_POST["custom"];
		} else {
			$this->setExportReturnUrl(ew_CurrentUrl());
		}
		$gsExportFile = $this->TableVar; // Get export file, used in header
		if (@$_GET["id"] <> "") {
			if ($gsExportFile <> "") $gsExportFile .= "_";
			$gsExportFile .= ew_StripSlashes($_GET["id"]);
		}

		// Get custom export parameters
		if ($this->Export <> "" && $custom <> "") {
			$this->CustomExport = $this->Export;
			$this->Export = "print";
		}
		$gsCustomExport = $this->CustomExport;
		$gsExport = $this->Export; // Get export parameter, used in header

		// Update Export URLs
		if (defined("EW_USE_PHPEXCEL"))
			$this->ExportExcelCustom = FALSE;
		if ($this->ExportExcelCustom)
			$this->ExportExcelUrl .= "&amp;custom=1";
		if (defined("EW_USE_PHPWORD"))
			$this->ExportWordCustom = FALSE;
		if ($this->ExportWordCustom)
			$this->ExportWordUrl .= "&amp;custom=1";
		if ($this->ExportPdfCustom)
			$this->ExportPdfUrl .= "&amp;custom=1";
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action

		// Setup export options
		$this->SetupExportOptions();
		$this->id->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $seguimiento_bebe;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($seguimiento_bebe);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $OtherOptions = array(); // Other options
	var $DisplayRecs = 1;
	var $DbMasterFilter;
	var $DbDetailFilter;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load current record
		$bLoadCurrentRecord = FALSE;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;

		// Set up Breadcrumb
		if ($this->Export == "")
			$this->SetupBreadcrumb();
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["id"] <> "") {
				$this->id->setQueryStringValue($_GET["id"]);
				$this->RecKey["id"] = $this->id->QueryStringValue;
			} elseif (@$_POST["id"] <> "") {
				$this->id->setFormValue($_POST["id"]);
				$this->RecKey["id"] = $this->id->FormValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					$this->StartRec = 1; // Initialize start position
					if ($this->Recordset = $this->LoadRecordset()) // Load records
						$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
					if ($this->TotalRecs <= 0) { // No record found
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$this->Page_Terminate("seguimiento_bebelist.php"); // Return to list page
					} elseif ($bLoadCurrentRecord) { // Load current record position
						$this->SetUpStartRec(); // Set up start record position

						// Point to current record
						if (intval($this->StartRec) <= intval($this->TotalRecs)) {
							$bMatchRecord = TRUE;
							$this->Recordset->Move($this->StartRec-1);
						}
					} else { // Match key values
						while (!$this->Recordset->EOF) {
							if (strval($this->id->CurrentValue) == strval($this->Recordset->fields('id'))) {
								$this->setStartRecordNumber($this->StartRec); // Save record position
								$bMatchRecord = TRUE;
								break;
							} else {
								$this->StartRec++;
								$this->Recordset->MoveNext();
							}
						}
					}
					if (!$bMatchRecord) {
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "seguimiento_bebelist.php"; // No matching record, return to list
					} else {
						$this->LoadRowValues($this->Recordset); // Load row values
					}
			}

			// Export data only
			if ($this->CustomExport == "" && in_array($this->Export, array("html","word","excel","xml","csv","email","pdf"))) {
				$this->ExportData();
				$this->Page_Terminate(); // Terminate response
				exit();
			}
		} else {
			$sReturnUrl = "seguimiento_bebelist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up other options
	function SetupOtherOptions() {
		global $Language, $Security;
		$options = &$this->OtherOptions;
		$option = &$options["action"];

		// Add
		$item = &$option->Add("add");
		$item->Body = "<a class=\"ewAction ewAdd\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" href=\"" . ew_HtmlEncode($this->AddUrl) . "\">" . $Language->Phrase("ViewPageAddLink") . "</a>";
		$item->Visible = ($this->AddUrl <> "" && $Security->CanAdd());

		// Edit
		$item = &$option->Add("edit");
		$item->Body = "<a class=\"ewAction ewEdit\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" href=\"" . ew_HtmlEncode($this->EditUrl) . "\">" . $Language->Phrase("ViewPageEditLink") . "</a>";
		$item->Visible = ($this->EditUrl <> "" && $Security->CanEdit());

		// Copy
		$item = &$option->Add("copy");
		$item->Body = "<a class=\"ewAction ewCopy\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" href=\"" . ew_HtmlEncode($this->CopyUrl) . "\">" . $Language->Phrase("ViewPageCopyLink") . "</a>";
		$item->Visible = ($this->CopyUrl <> "" && $Security->CanAdd());

		// Delete
		$item = &$option->Add("delete");
		$item->Body = "<a onclick=\"return ew_ConfirmDelete(this);\" class=\"ewAction ewDelete\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" href=\"" . ew_HtmlEncode($this->DeleteUrl) . "\">" . $Language->Phrase("ViewPageDeleteLink") . "</a>";
		$item->Visible = ($this->DeleteUrl <> "" && $Security->CanDelete());

		// Set up action default
		$option = &$options["action"];
		$option->DropDownButtonPhrase = $Language->Phrase("ButtonActions");
		$option->UseImageAndText = TRUE;
		$option->UseDropDownButton = FALSE;
		$option->UseButtonGroup = TRUE;
		$item = &$option->Add($option->GroupOptionName);
		$item->Body = "";
		$item->Visible = FALSE;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->SelectSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->id->setDbValue($rs->fields('id'));
		$this->Id_Registro_Madre->setDbValue($rs->fields('Id_Registro_Madre'));
		$this->Primer_Nombre->setDbValue($rs->fields('Primer_Nombre'));
		$this->Segundo_Nombre->setDbValue($rs->fields('Segundo_Nombre'));
		$this->Primer_Apellido->setDbValue($rs->fields('Primer_Apellido'));
		$this->Segundo_Apellido->setDbValue($rs->fields('Segundo_Apellido'));
		$this->Registro_Civil->setDbValue($rs->fields('Registro_Civil'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Fecha_Nacimiento->setDbValue($rs->fields('Fecha_Nacimiento'));
		$this->Peso_Gramos->setDbValue($rs->fields('Peso_Gramos'));
		$this->Recibio_Tratamiento_Profilactico->setDbValue($rs->fields('Recibio_Tratamiento_Profilactico'));
		$this->Esquema_Tratamiento->setDbValue($rs->fields('Esquema_Tratamiento'));
		$this->Otro->setDbValue($rs->fields('Otro'));
		$this->Tipo_Tratamiento_Bebe->setDbValue($rs->fields('Tipo_Tratamiento_Bebe'));
		$this->No_Primera_Carga_Viral->setDbValue($rs->fields('No_Primera_Carga_Viral'));
		$this->Fecha_Primera_Cviral->setDbValue($rs->fields('Fecha_Primera_Cviral'));
		$this->Edad_Primer_Cviral_Dias->setDbValue($rs->fields('Edad_Primer_Cviral_Dias'));
		$this->Segunda_Carga_Viral->setDbValue($rs->fields('Segunda_Carga_Viral'));
		$this->No_Segunda_Carga_Viral_Bebe->setDbValue($rs->fields('No_Segunda_Carga_Viral_Bebe'));
		$this->Fecha_Segunda_Carga_Viral->setDbValue($rs->fields('Fecha_Segunda_Carga_Viral'));
		$this->Edad_Segunda_Carga_Viral_Dias->setDbValue($rs->fields('Edad_Segunda_Carga_Viral_Dias'));
		$this->Resultado_Tamizaje_M18->setDbValue($rs->fields('Resultado_Tamizaje_M18'));
		$this->Fecha_Tamizaje->setDbValue($rs->fields('Fecha_Tamizaje'));
		$this->Ultima_Cargaviral->setDbValue($rs->fields('Ultima_Cargaviral'));
		$this->Fecha_Ultima_Carga_viral->setDbValue($rs->fields('Fecha_Ultima_Carga_viral'));
		$this->Formula_Lactea->setDbValue($rs->fields('Formula_Lactea'));
		$this->Edad_Dias_Bebe->setDbValue($rs->fields('Edad_Dias_Bebe'));
		$this->Clasificacion_Final_bebe->setDbValue($rs->fields('Clasificacion_Final_bebe'));
		$this->Observaciones->setDbValue($rs->fields('Observaciones'));
		$this->Registrado_Por->setDbValue($rs->fields('Registrado_Por'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->id->DbValue = $row['id'];
		$this->Id_Registro_Madre->DbValue = $row['Id_Registro_Madre'];
		$this->Primer_Nombre->DbValue = $row['Primer_Nombre'];
		$this->Segundo_Nombre->DbValue = $row['Segundo_Nombre'];
		$this->Primer_Apellido->DbValue = $row['Primer_Apellido'];
		$this->Segundo_Apellido->DbValue = $row['Segundo_Apellido'];
		$this->Registro_Civil->DbValue = $row['Registro_Civil'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Fecha_Nacimiento->DbValue = $row['Fecha_Nacimiento'];
		$this->Peso_Gramos->DbValue = $row['Peso_Gramos'];
		$this->Recibio_Tratamiento_Profilactico->DbValue = $row['Recibio_Tratamiento_Profilactico'];
		$this->Esquema_Tratamiento->DbValue = $row['Esquema_Tratamiento'];
		$this->Otro->DbValue = $row['Otro'];
		$this->Tipo_Tratamiento_Bebe->DbValue = $row['Tipo_Tratamiento_Bebe'];
		$this->No_Primera_Carga_Viral->DbValue = $row['No_Primera_Carga_Viral'];
		$this->Fecha_Primera_Cviral->DbValue = $row['Fecha_Primera_Cviral'];
		$this->Edad_Primer_Cviral_Dias->DbValue = $row['Edad_Primer_Cviral_Dias'];
		$this->Segunda_Carga_Viral->DbValue = $row['Segunda_Carga_Viral'];
		$this->No_Segunda_Carga_Viral_Bebe->DbValue = $row['No_Segunda_Carga_Viral_Bebe'];
		$this->Fecha_Segunda_Carga_Viral->DbValue = $row['Fecha_Segunda_Carga_Viral'];
		$this->Edad_Segunda_Carga_Viral_Dias->DbValue = $row['Edad_Segunda_Carga_Viral_Dias'];
		$this->Resultado_Tamizaje_M18->DbValue = $row['Resultado_Tamizaje_M18'];
		$this->Fecha_Tamizaje->DbValue = $row['Fecha_Tamizaje'];
		$this->Ultima_Cargaviral->DbValue = $row['Ultima_Cargaviral'];
		$this->Fecha_Ultima_Carga_viral->DbValue = $row['Fecha_Ultima_Carga_viral'];
		$this->Formula_Lactea->DbValue = $row['Formula_Lactea'];
		$this->Edad_Dias_Bebe->DbValue = $row['Edad_Dias_Bebe'];
		$this->Clasificacion_Final_bebe->DbValue = $row['Clasificacion_Final_bebe'];
		$this->Observaciones->DbValue = $row['Observaciones'];
		$this->Registrado_Por->DbValue = $row['Registrado_Por'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();
		$this->SetupOtherOptions();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// id
		// Id_Registro_Madre
		// Primer_Nombre
		// Segundo_Nombre
		// Primer_Apellido
		// Segundo_Apellido
		// Registro_Civil
		// Sexo
		// Fecha_Nacimiento
		// Peso_Gramos
		// Recibio_Tratamiento_Profilactico
		// Esquema_Tratamiento
		// Otro
		// Tipo_Tratamiento_Bebe
		// No_Primera_Carga_Viral
		// Fecha_Primera_Cviral
		// Edad_Primer_Cviral_Dias
		// Segunda_Carga_Viral
		// No_Segunda_Carga_Viral_Bebe
		// Fecha_Segunda_Carga_Viral
		// Edad_Segunda_Carga_Viral_Dias
		// Resultado_Tamizaje_M18
		// Fecha_Tamizaje
		// Ultima_Cargaviral
		// Fecha_Ultima_Carga_viral
		// Formula_Lactea
		// Edad_Dias_Bebe
		// Clasificacion_Final_bebe
		// Observaciones
		// Registrado_Por

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// id
		$this->id->ViewValue = $this->id->CurrentValue;
		$this->id->ViewCustomAttributes = "";

		// Primer_Nombre
		$this->Primer_Nombre->ViewValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->ViewCustomAttributes = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->ViewValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->ViewCustomAttributes = "";

		// Primer_Apellido
		$this->Primer_Apellido->ViewValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->ViewCustomAttributes = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->ViewValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->ViewCustomAttributes = "";

		// Registro_Civil
		$this->Registro_Civil->ViewValue = $this->Registro_Civil->CurrentValue;
		$this->Registro_Civil->ViewCustomAttributes = "";

		// Sexo
		if (strval($this->Sexo->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Sexo->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Sexo` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `sexo`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Sexo, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Sexo->ViewValue = $this->Sexo->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
			}
		} else {
			$this->Sexo->ViewValue = NULL;
		}
		$this->Sexo->ViewCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->ViewValue = $this->Fecha_Nacimiento->CurrentValue;
		$this->Fecha_Nacimiento->ViewValue = ew_FormatDateTime($this->Fecha_Nacimiento->ViewValue, 5);
		$this->Fecha_Nacimiento->ViewCustomAttributes = "";

		// Peso_Gramos
		$this->Peso_Gramos->ViewValue = $this->Peso_Gramos->CurrentValue;
		$this->Peso_Gramos->ViewCustomAttributes = "";

		// Recibio_Tratamiento_Profilactico
		if (strval($this->Recibio_Tratamiento_Profilactico->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Recibio_Tratamiento_Profilactico->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Recibio_Tratamiento_Profilactico, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Recibio_Tratamiento_Profilactico->ViewValue = $this->Recibio_Tratamiento_Profilactico->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Recibio_Tratamiento_Profilactico->ViewValue = $this->Recibio_Tratamiento_Profilactico->CurrentValue;
			}
		} else {
			$this->Recibio_Tratamiento_Profilactico->ViewValue = NULL;
		}
		$this->Recibio_Tratamiento_Profilactico->ViewCustomAttributes = "";

		// Esquema_Tratamiento
		if (strval($this->Esquema_Tratamiento->CurrentValue) <> "") {
			$arwrk = explode(",", $this->Esquema_Tratamiento->CurrentValue);
			$sFilterWrk = "";
			foreach ($arwrk as $wrk) {
				if ($sFilterWrk <> "") $sFilterWrk .= " OR ";
				$sFilterWrk .= "`id`" . ew_SearchString("=", trim($wrk), EW_DATATYPE_NUMBER, "");
			}
		$sSqlWrk = "SELECT `id`, `Esquema` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `esquema_bebe`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Esquema_Tratamiento, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->Esquema_Tratamiento->ViewValue = "";
				$ari = 0;
				while (!$rswrk->EOF) {
					$arwrk = array();
					$arwrk[1] = $rswrk->fields('DispFld');
					$this->Esquema_Tratamiento->ViewValue .= $this->Esquema_Tratamiento->DisplayValue($arwrk);
					$rswrk->MoveNext();
					if (!$rswrk->EOF) $this->Esquema_Tratamiento->ViewValue .= ew_ViewOptionSeparator($ari); // Separate Options
					$ari++;
				}
				$rswrk->Close();
			} else {
				$this->Esquema_Tratamiento->ViewValue = $this->Esquema_Tratamiento->CurrentValue;
			}
		} else {
			$this->Esquema_Tratamiento->ViewValue = NULL;
		}
		$this->Esquema_Tratamiento->ViewCustomAttributes = "";

		// Otro
		$this->Otro->ViewValue = $this->Otro->CurrentValue;
		$this->Otro->ViewCustomAttributes = "";

		// Tipo_Tratamiento_Bebe
		if (strval($this->Tipo_Tratamiento_Bebe->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->Tipo_Tratamiento_Bebe->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `Tipo_Tratamiento_Bebe` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tipo_tratamiento_bebe`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tipo_Tratamiento_Bebe, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tipo_Tratamiento_Bebe->ViewValue = $this->Tipo_Tratamiento_Bebe->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tipo_Tratamiento_Bebe->ViewValue = $this->Tipo_Tratamiento_Bebe->CurrentValue;
			}
		} else {
			$this->Tipo_Tratamiento_Bebe->ViewValue = NULL;
		}
		$this->Tipo_Tratamiento_Bebe->ViewCustomAttributes = "";

		// No_Primera_Carga_Viral
		if (strval($this->No_Primera_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->No_Primera_Carga_Viral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->No_Primera_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->No_Primera_Carga_Viral->ViewValue = $this->No_Primera_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->No_Primera_Carga_Viral->ViewValue = $this->No_Primera_Carga_Viral->CurrentValue;
			}
		} else {
			$this->No_Primera_Carga_Viral->ViewValue = NULL;
		}
		$this->No_Primera_Carga_Viral->ViewCustomAttributes = "";

		// Fecha_Primera_Cviral
		$this->Fecha_Primera_Cviral->ViewValue = $this->Fecha_Primera_Cviral->CurrentValue;
		$this->Fecha_Primera_Cviral->ViewValue = ew_FormatDateTime($this->Fecha_Primera_Cviral->ViewValue, 5);
		$this->Fecha_Primera_Cviral->ViewCustomAttributes = "";

		// Edad_Primer_Cviral_Dias
		$this->Edad_Primer_Cviral_Dias->ViewValue = $this->Edad_Primer_Cviral_Dias->CurrentValue;
		$this->Edad_Primer_Cviral_Dias->ViewCustomAttributes = "";

		// Segunda_Carga_Viral
		if (strval($this->Segunda_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Segunda_Carga_Viral->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Segunda_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Segunda_Carga_Viral->ViewValue = $this->Segunda_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Segunda_Carga_Viral->ViewValue = $this->Segunda_Carga_Viral->CurrentValue;
			}
		} else {
			$this->Segunda_Carga_Viral->ViewValue = NULL;
		}
		$this->Segunda_Carga_Viral->ViewCustomAttributes = "";

		// No_Segunda_Carga_Viral_Bebe
		if (strval($this->No_Segunda_Carga_Viral_Bebe->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->No_Segunda_Carga_Viral_Bebe->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->No_Segunda_Carga_Viral_Bebe, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->No_Segunda_Carga_Viral_Bebe->ViewValue = $this->No_Segunda_Carga_Viral_Bebe->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->No_Segunda_Carga_Viral_Bebe->ViewValue = $this->No_Segunda_Carga_Viral_Bebe->CurrentValue;
			}
		} else {
			$this->No_Segunda_Carga_Viral_Bebe->ViewValue = NULL;
		}
		$this->No_Segunda_Carga_Viral_Bebe->ViewCustomAttributes = "";

		// Fecha_Segunda_Carga_Viral
		$this->Fecha_Segunda_Carga_Viral->ViewValue = $this->Fecha_Segunda_Carga_Viral->CurrentValue;
		$this->Fecha_Segunda_Carga_Viral->ViewValue = ew_FormatDateTime($this->Fecha_Segunda_Carga_Viral->ViewValue, 5);
		$this->Fecha_Segunda_Carga_Viral->ViewCustomAttributes = "";

		// Edad_Segunda_Carga_Viral_Dias
		$this->Edad_Segunda_Carga_Viral_Dias->ViewValue = $this->Edad_Segunda_Carga_Viral_Dias->CurrentValue;
		$this->Edad_Segunda_Carga_Viral_Dias->ViewCustomAttributes = "";

		// Resultado_Tamizaje_M18
		if (strval($this->Resultado_Tamizaje_M18->CurrentValue) <> "") {
			$this->Resultado_Tamizaje_M18->ViewValue = $this->Resultado_Tamizaje_M18->OptionCaption($this->Resultado_Tamizaje_M18->CurrentValue);
		} else {
			$this->Resultado_Tamizaje_M18->ViewValue = NULL;
		}
		$this->Resultado_Tamizaje_M18->ViewCustomAttributes = "";

		// Fecha_Tamizaje
		$this->Fecha_Tamizaje->ViewValue = $this->Fecha_Tamizaje->CurrentValue;
		$this->Fecha_Tamizaje->ViewValue = ew_FormatDateTime($this->Fecha_Tamizaje->ViewValue, 5);
		$this->Fecha_Tamizaje->ViewCustomAttributes = "";

		// Ultima_Cargaviral
		$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->CurrentValue;
		if (strval($this->Ultima_Cargaviral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Ultima_Cargaviral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Ultima_Cargaviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->CurrentValue;
			}
		} else {
			$this->Ultima_Cargaviral->ViewValue = NULL;
		}
		$this->Ultima_Cargaviral->ViewCustomAttributes = "";

		// Fecha_Ultima_Carga_viral
		$this->Fecha_Ultima_Carga_viral->ViewValue = $this->Fecha_Ultima_Carga_viral->CurrentValue;
		$this->Fecha_Ultima_Carga_viral->ViewValue = ew_FormatDateTime($this->Fecha_Ultima_Carga_viral->ViewValue, 5);
		$this->Fecha_Ultima_Carga_viral->ViewCustomAttributes = "";

		// Formula_Lactea
		if (strval($this->Formula_Lactea->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Formula_Lactea->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Formula_Lactea, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Formula_Lactea->ViewValue = $this->Formula_Lactea->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Formula_Lactea->ViewValue = $this->Formula_Lactea->CurrentValue;
			}
		} else {
			$this->Formula_Lactea->ViewValue = NULL;
		}
		$this->Formula_Lactea->ViewCustomAttributes = "";

		// Edad_Dias_Bebe
		$this->Edad_Dias_Bebe->ViewValue = $this->Edad_Dias_Bebe->CurrentValue;
		$this->Edad_Dias_Bebe->ViewCustomAttributes = "";

		// Clasificacion_Final_bebe
		if (strval($this->Clasificacion_Final_bebe->CurrentValue) <> "") {
			$this->Clasificacion_Final_bebe->ViewValue = $this->Clasificacion_Final_bebe->OptionCaption($this->Clasificacion_Final_bebe->CurrentValue);
		} else {
			$this->Clasificacion_Final_bebe->ViewValue = NULL;
		}
		$this->Clasificacion_Final_bebe->ViewCustomAttributes = "";

		// Observaciones
		$this->Observaciones->ViewValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->ViewCustomAttributes = "";

		// Registrado_Por
		$this->Registrado_Por->ViewValue = $this->Registrado_Por->CurrentValue;
		$this->Registrado_Por->ViewCustomAttributes = "";

			// id
			$this->id->LinkCustomAttributes = "";
			$this->id->HrefValue = "";
			$this->id->TooltipValue = "";

			// Primer_Nombre
			$this->Primer_Nombre->LinkCustomAttributes = "";
			$this->Primer_Nombre->HrefValue = "";
			$this->Primer_Nombre->TooltipValue = "";

			// Segundo_Nombre
			$this->Segundo_Nombre->LinkCustomAttributes = "";
			$this->Segundo_Nombre->HrefValue = "";
			$this->Segundo_Nombre->TooltipValue = "";

			// Primer_Apellido
			$this->Primer_Apellido->LinkCustomAttributes = "";
			$this->Primer_Apellido->HrefValue = "";
			$this->Primer_Apellido->TooltipValue = "";

			// Segundo_Apellido
			$this->Segundo_Apellido->LinkCustomAttributes = "";
			$this->Segundo_Apellido->HrefValue = "";
			$this->Segundo_Apellido->TooltipValue = "";

			// Registro_Civil
			$this->Registro_Civil->LinkCustomAttributes = "";
			$this->Registro_Civil->HrefValue = "";
			$this->Registro_Civil->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Fecha_Nacimiento
			$this->Fecha_Nacimiento->LinkCustomAttributes = "";
			$this->Fecha_Nacimiento->HrefValue = "";
			$this->Fecha_Nacimiento->TooltipValue = "";

			// Peso_Gramos
			$this->Peso_Gramos->LinkCustomAttributes = "";
			$this->Peso_Gramos->HrefValue = "";
			$this->Peso_Gramos->TooltipValue = "";

			// Recibio_Tratamiento_Profilactico
			$this->Recibio_Tratamiento_Profilactico->LinkCustomAttributes = "";
			$this->Recibio_Tratamiento_Profilactico->HrefValue = "";
			$this->Recibio_Tratamiento_Profilactico->TooltipValue = "";

			// Esquema_Tratamiento
			$this->Esquema_Tratamiento->LinkCustomAttributes = "";
			$this->Esquema_Tratamiento->HrefValue = "";
			$this->Esquema_Tratamiento->TooltipValue = "";

			// Otro
			$this->Otro->LinkCustomAttributes = "";
			$this->Otro->HrefValue = "";
			$this->Otro->TooltipValue = "";

			// Tipo_Tratamiento_Bebe
			$this->Tipo_Tratamiento_Bebe->LinkCustomAttributes = "";
			$this->Tipo_Tratamiento_Bebe->HrefValue = "";
			$this->Tipo_Tratamiento_Bebe->TooltipValue = "";

			// No_Primera_Carga_Viral
			$this->No_Primera_Carga_Viral->LinkCustomAttributes = "";
			$this->No_Primera_Carga_Viral->HrefValue = "";
			$this->No_Primera_Carga_Viral->TooltipValue = "";

			// Fecha_Primera_Cviral
			$this->Fecha_Primera_Cviral->LinkCustomAttributes = "";
			$this->Fecha_Primera_Cviral->HrefValue = "";
			$this->Fecha_Primera_Cviral->TooltipValue = "";

			// Edad_Primer_Cviral_Dias
			$this->Edad_Primer_Cviral_Dias->LinkCustomAttributes = "";
			$this->Edad_Primer_Cviral_Dias->HrefValue = "";
			$this->Edad_Primer_Cviral_Dias->TooltipValue = "";

			// Segunda_Carga_Viral
			$this->Segunda_Carga_Viral->LinkCustomAttributes = "";
			$this->Segunda_Carga_Viral->HrefValue = "";
			$this->Segunda_Carga_Viral->TooltipValue = "";

			// No_Segunda_Carga_Viral_Bebe
			$this->No_Segunda_Carga_Viral_Bebe->LinkCustomAttributes = "";
			$this->No_Segunda_Carga_Viral_Bebe->HrefValue = "";
			$this->No_Segunda_Carga_Viral_Bebe->TooltipValue = "";

			// Fecha_Segunda_Carga_Viral
			$this->Fecha_Segunda_Carga_Viral->LinkCustomAttributes = "";
			$this->Fecha_Segunda_Carga_Viral->HrefValue = "";
			$this->Fecha_Segunda_Carga_Viral->TooltipValue = "";

			// Edad_Segunda_Carga_Viral_Dias
			$this->Edad_Segunda_Carga_Viral_Dias->LinkCustomAttributes = "";
			$this->Edad_Segunda_Carga_Viral_Dias->HrefValue = "";
			$this->Edad_Segunda_Carga_Viral_Dias->TooltipValue = "";

			// Resultado_Tamizaje_M18
			$this->Resultado_Tamizaje_M18->LinkCustomAttributes = "";
			$this->Resultado_Tamizaje_M18->HrefValue = "";
			$this->Resultado_Tamizaje_M18->TooltipValue = "";

			// Fecha_Tamizaje
			$this->Fecha_Tamizaje->LinkCustomAttributes = "";
			$this->Fecha_Tamizaje->HrefValue = "";
			$this->Fecha_Tamizaje->TooltipValue = "";

			// Ultima_Cargaviral
			$this->Ultima_Cargaviral->LinkCustomAttributes = "";
			$this->Ultima_Cargaviral->HrefValue = "";
			$this->Ultima_Cargaviral->TooltipValue = "";

			// Fecha_Ultima_Carga_viral
			$this->Fecha_Ultima_Carga_viral->LinkCustomAttributes = "";
			$this->Fecha_Ultima_Carga_viral->HrefValue = "";
			$this->Fecha_Ultima_Carga_viral->TooltipValue = "";

			// Formula_Lactea
			$this->Formula_Lactea->LinkCustomAttributes = "";
			$this->Formula_Lactea->HrefValue = "";
			$this->Formula_Lactea->TooltipValue = "";

			// Edad_Dias_Bebe
			$this->Edad_Dias_Bebe->LinkCustomAttributes = "";
			$this->Edad_Dias_Bebe->HrefValue = "";
			$this->Edad_Dias_Bebe->TooltipValue = "";

			// Clasificacion_Final_bebe
			$this->Clasificacion_Final_bebe->LinkCustomAttributes = "";
			$this->Clasificacion_Final_bebe->HrefValue = "";
			$this->Clasificacion_Final_bebe->TooltipValue = "";

			// Observaciones
			$this->Observaciones->LinkCustomAttributes = "";
			$this->Observaciones->HrefValue = "";
			$this->Observaciones->TooltipValue = "";

			// Registrado_Por
			$this->Registrado_Por->LinkCustomAttributes = "";
			$this->Registrado_Por->HrefValue = "";
			$this->Registrado_Por->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Set up export options
	function SetupExportOptions() {
		global $Language;

		// Printer friendly
		$item = &$this->ExportOptions->Add("print");
		$item->Body = "<a href=\"" . $this->ExportPrintUrl . "\" class=\"ewExportLink ewPrint\" title=\"" . ew_HtmlEncode($Language->Phrase("PrinterFriendlyText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("PrinterFriendlyText")) . "\">" . $Language->Phrase("PrinterFriendly") . "</a>";
		$item->Visible = FALSE;

		// Export to Excel
		$item = &$this->ExportOptions->Add("excel");
		$item->Body = "<a href=\"" . $this->ExportExcelUrl . "\" class=\"ewExportLink ewExcel\" title=\"" . ew_HtmlEncode($Language->Phrase("ExportToExcelText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("ExportToExcelText")) . "\">" . $Language->Phrase("ExportToExcel") . "</a>";
		$item->Visible = TRUE;

		// Export to Word
		$item = &$this->ExportOptions->Add("word");
		$item->Body = "<a href=\"" . $this->ExportWordUrl . "\" class=\"ewExportLink ewWord\" title=\"" . ew_HtmlEncode($Language->Phrase("ExportToWordText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("ExportToWordText")) . "\">" . $Language->Phrase("ExportToWord") . "</a>";
		$item->Visible = TRUE;

		// Export to Html
		$item = &$this->ExportOptions->Add("html");
		$item->Body = "<a href=\"" . $this->ExportHtmlUrl . "\" class=\"ewExportLink ewHtml\" title=\"" . ew_HtmlEncode($Language->Phrase("ExportToHtmlText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("ExportToHtmlText")) . "\">" . $Language->Phrase("ExportToHtml") . "</a>";
		$item->Visible = FALSE;

		// Export to Xml
		$item = &$this->ExportOptions->Add("xml");
		$item->Body = "<a href=\"" . $this->ExportXmlUrl . "\" class=\"ewExportLink ewXml\" title=\"" . ew_HtmlEncode($Language->Phrase("ExportToXmlText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("ExportToXmlText")) . "\">" . $Language->Phrase("ExportToXml") . "</a>";
		$item->Visible = FALSE;

		// Export to Csv
		$item = &$this->ExportOptions->Add("csv");
		$item->Body = "<a href=\"" . $this->ExportCsvUrl . "\" class=\"ewExportLink ewCsv\" title=\"" . ew_HtmlEncode($Language->Phrase("ExportToCsvText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("ExportToCsvText")) . "\">" . $Language->Phrase("ExportToCsv") . "</a>";
		$item->Visible = FALSE;

		// Export to Pdf
		$item = &$this->ExportOptions->Add("pdf");
		$item->Body = "<a href=\"" . $this->ExportPdfUrl . "\" class=\"ewExportLink ewPdf\" title=\"" . ew_HtmlEncode($Language->Phrase("ExportToPDFText")) . "\" data-caption=\"" . ew_HtmlEncode($Language->Phrase("ExportToPDFText")) . "\">" . $Language->Phrase("ExportToPDF") . "</a>";
		$item->Visible = TRUE;

		// Export to Email
		$item = &$this->ExportOptions->Add("email");
		$url = "";
		$item->Body = "<button id=\"emf_seguimiento_bebe\" class=\"ewExportLink ewEmail\" title=\"" . $Language->Phrase("ExportToEmailText") . "\" data-caption=\"" . $Language->Phrase("ExportToEmailText") . "\" onclick=\"ew_EmailDialogShow({lnk:'emf_seguimiento_bebe',hdr:ewLanguage.Phrase('ExportToEmailText'),f:document.fseguimiento_bebeview,key:" . ew_ArrayToJsonAttr($this->RecKey) . ",sel:false" . $url . "});\">" . $Language->Phrase("ExportToEmail") . "</button>";
		$item->Visible = FALSE;

		// Drop down button for export
		$this->ExportOptions->UseButtonGroup = TRUE;
		$this->ExportOptions->UseImageAndText = TRUE;
		$this->ExportOptions->UseDropDownButton = FALSE;
		if ($this->ExportOptions->UseButtonGroup && ew_IsMobile())
			$this->ExportOptions->UseDropDownButton = TRUE;
		$this->ExportOptions->DropDownButtonPhrase = $Language->Phrase("ButtonExport");

		// Add group option item
		$item = &$this->ExportOptions->Add($this->ExportOptions->GroupOptionName);
		$item->Body = "";
		$item->Visible = FALSE;

		// Hide options for export
		if ($this->Export <> "")
			$this->ExportOptions->HideAllOptions();
	}

	// Export data in HTML/CSV/Word/Excel/XML/Email/PDF format
	function ExportData() {
		$utf8 = (strtolower(EW_CHARSET) == "utf-8");
		$bSelectLimit = FALSE;

		// Load recordset
		if ($bSelectLimit) {
			$this->TotalRecs = $this->SelectRecordCount();
		} else {
			if (!$this->Recordset)
				$this->Recordset = $this->LoadRecordset();
			$rs = &$this->Recordset;
			if ($rs)
				$this->TotalRecs = $rs->RecordCount();
		}
		$this->StartRec = 1;
		$this->SetUpStartRec(); // Set up start record position

		// Set the last record to display
		if ($this->DisplayRecs <= 0) {
			$this->StopRec = $this->TotalRecs;
		} else {
			$this->StopRec = $this->StartRec + $this->DisplayRecs - 1;
		}
		if (!$rs) {
			header("Content-Type:"); // Remove header
			header("Content-Disposition:");
			$this->ShowMessage();
			return;
		}
		$this->ExportDoc = ew_ExportDocument($this, "v");
		$Doc = &$this->ExportDoc;
		if ($bSelectLimit) {
			$this->StartRec = 1;
			$this->StopRec = $this->DisplayRecs <= 0 ? $this->TotalRecs : $this->DisplayRecs;
		} else {

			//$this->StartRec = $this->StartRec;
			//$this->StopRec = $this->StopRec;

		}

		// Call Page Exporting server event
		$this->ExportDoc->ExportCustom = !$this->Page_Exporting();
		$ParentTable = "";
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		$Doc->Text .= $sHeader;
		$this->ExportDocument($Doc, $rs, $this->StartRec, $this->StopRec, "view");
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		$Doc->Text .= $sFooter;

		// Close recordset
		$rs->Close();

		// Call Page Exported server event
		$this->Page_Exported();

		// Export header and footer
		$Doc->ExportHeaderAndFooter();

		// Clean output buffer
		if (!EW_DEBUG_ENABLED && ob_get_length())
			ob_end_clean();

		// Write debug message if enabled
		if (EW_DEBUG_ENABLED && $this->Export <> "pdf")
			echo ew_DebugMsg();

		// Output data
		$Doc->Export();
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("seguimiento_bebelist.php"), "", $this->TableVar, TRUE);
		$PageId = "view";
		$Breadcrumb->Add("view", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Page Exporting event
	// $this->ExportDoc = export document object
	function Page_Exporting() {

		//$this->ExportDoc->Text = "my header"; // Export header
		//return FALSE; // Return FALSE to skip default export and use Row_Export event

		return TRUE; // Return TRUE to use default export and skip Row_Export event
	}

	// Row Export event
	// $this->ExportDoc = export document object
	function Row_Export($rs) {

	    //$this->ExportDoc->Text .= "my content"; // Build HTML with field value: $rs["MyField"] or $this->MyField->ViewValue
	}

	// Page Exported event
	// $this->ExportDoc = export document object
	function Page_Exported() {

		//$this->ExportDoc->Text .= "my footer"; // Export footer
		//echo $this->ExportDoc->Text;

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($seguimiento_bebe_view)) $seguimiento_bebe_view = new cseguimiento_bebe_view();

// Page init
$seguimiento_bebe_view->Page_Init();

// Page main
$seguimiento_bebe_view->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$seguimiento_bebe_view->Page_Render();
?>
<?php include_once "header.php" ?>
<?php if ($seguimiento_bebe->Export == "") { ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "view";
var CurrentForm = fseguimiento_bebeview = new ew_Form("fseguimiento_bebeview", "view");

// Form_CustomValidate event
fseguimiento_bebeview.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fseguimiento_bebeview.ValidateRequired = true;
<?php } else { ?>
fseguimiento_bebeview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
fseguimiento_bebeview.Lists["x_Sexo"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Sexo","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Recibio_Tratamiento_Profilactico"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Esquema_Tratamiento[]"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_Esquema","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Tipo_Tratamiento_Bebe"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_Tipo_Tratamiento_Bebe","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_No_Primera_Carga_Viral"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Segunda_Carga_Viral"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_No_Segunda_Carga_Viral_Bebe"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Resultado_Tamizaje_M18"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Resultado_Tamizaje_M18"].Options = <?php echo json_encode($seguimiento_bebe->Resultado_Tamizaje_M18->Options()) ?>;
fseguimiento_bebeview.Lists["x_Ultima_Cargaviral"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Formula_Lactea"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Clasificacion_Final_bebe"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_bebeview.Lists["x_Clasificacion_Final_bebe"].Options = <?php echo json_encode($seguimiento_bebe->Clasificacion_Final_bebe->Options()) ?>;

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php } ?>
<?php if ($seguimiento_bebe->Export == "") { ?>
<div class="ewToolbar">
<?php if ($seguimiento_bebe->Export == "") { ?>
<?php $Breadcrumb->Render(); ?>
<?php } ?>
<?php $seguimiento_bebe_view->ExportOptions->Render("body") ?>
<?php
	foreach ($seguimiento_bebe_view->OtherOptions as &$option)
		$option->Render("body");
?>
<?php if ($seguimiento_bebe->Export == "") { ?>
<?php echo $Language->SelectionForm(); ?>
<?php } ?>
<div class="clearfix"></div>
</div>
<?php } ?>
<?php $seguimiento_bebe_view->ShowPageHeader(); ?>
<?php
$seguimiento_bebe_view->ShowMessage();
?>
<?php if ($seguimiento_bebe->Export == "") { ?>
<form name="ewPagerForm" class="form-inline ewForm ewPagerForm" action="<?php echo ew_CurrentPage() ?>">
<?php if (!isset($seguimiento_bebe_view->Pager)) $seguimiento_bebe_view->Pager = new cPrevNextPager($seguimiento_bebe_view->StartRec, $seguimiento_bebe_view->DisplayRecs, $seguimiento_bebe_view->TotalRecs) ?>
<?php if ($seguimiento_bebe_view->Pager->RecordCount > 0) { ?>
<div class="ewPager">
<span><?php echo $Language->Phrase("Page") ?>&nbsp;</span>
<div class="ewPrevNext"><div class="input-group">
<div class="input-group-btn">
<!--first page button-->
	<?php if ($seguimiento_bebe_view->Pager->FirstButton->Enabled) { ?>
	<a class="btn btn-default btn-sm" title="<?php echo $Language->Phrase("PagerFirst") ?>" href="<?php echo $seguimiento_bebe_view->PageUrl() ?>start=<?php echo $seguimiento_bebe_view->Pager->FirstButton->Start ?>"><span class="icon-first ewIcon"></span></a>
	<?php } else { ?>
	<a class="btn btn-default btn-sm disabled" title="<?php echo $Language->Phrase("PagerFirst") ?>"><span class="icon-first ewIcon"></span></a>
	<?php } ?>
<!--previous page button-->
	<?php if ($seguimiento_bebe_view->Pager->PrevButton->Enabled) { ?>
	<a class="btn btn-default btn-sm" title="<?php echo $Language->Phrase("PagerPrevious") ?>" href="<?php echo $seguimiento_bebe_view->PageUrl() ?>start=<?php echo $seguimiento_bebe_view->Pager->PrevButton->Start ?>"><span class="icon-prev ewIcon"></span></a>
	<?php } else { ?>
	<a class="btn btn-default btn-sm disabled" title="<?php echo $Language->Phrase("PagerPrevious") ?>"><span class="icon-prev ewIcon"></span></a>
	<?php } ?>
</div>
<!--current page number-->
	<input class="form-control input-sm" type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $seguimiento_bebe_view->Pager->CurrentPage ?>">
<div class="input-group-btn">
<!--next page button-->
	<?php if ($seguimiento_bebe_view->Pager->NextButton->Enabled) { ?>
	<a class="btn btn-default btn-sm" title="<?php echo $Language->Phrase("PagerNext") ?>" href="<?php echo $seguimiento_bebe_view->PageUrl() ?>start=<?php echo $seguimiento_bebe_view->Pager->NextButton->Start ?>"><span class="icon-next ewIcon"></span></a>
	<?php } else { ?>
	<a class="btn btn-default btn-sm disabled" title="<?php echo $Language->Phrase("PagerNext") ?>"><span class="icon-next ewIcon"></span></a>
	<?php } ?>
<!--last page button-->
	<?php if ($seguimiento_bebe_view->Pager->LastButton->Enabled) { ?>
	<a class="btn btn-default btn-sm" title="<?php echo $Language->Phrase("PagerLast") ?>" href="<?php echo $seguimiento_bebe_view->PageUrl() ?>start=<?php echo $seguimiento_bebe_view->Pager->LastButton->Start ?>"><span class="icon-last ewIcon"></span></a>
	<?php } else { ?>
	<a class="btn btn-default btn-sm disabled" title="<?php echo $Language->Phrase("PagerLast") ?>"><span class="icon-last ewIcon"></span></a>
	<?php } ?>
</div>
</div>
</div>
<span>&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $seguimiento_bebe_view->Pager->PageCount ?></span>
</div>
<?php } ?>
<div class="clearfix"></div>
</form>
<?php } ?>
<form name="fseguimiento_bebeview" id="fseguimiento_bebeview" class="form-inline ewForm ewViewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($seguimiento_bebe_view->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $seguimiento_bebe_view->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="seguimiento_bebe">
<table class="table table-bordered table-striped ewViewTable">
<?php if ($seguimiento_bebe->id->Visible) { // id ?>
	<tr id="r_id">
		<td><span id="elh_seguimiento_bebe_id"><?php echo $seguimiento_bebe->id->FldCaption() ?></span></td>
		<td data-name="id"<?php echo $seguimiento_bebe->id->CellAttributes() ?>>
<span id="el_seguimiento_bebe_id" data-page="1">
<span<?php echo $seguimiento_bebe->id->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->id->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Primer_Nombre->Visible) { // Primer_Nombre ?>
	<tr id="r_Primer_Nombre">
		<td><span id="elh_seguimiento_bebe_Primer_Nombre"><?php echo $seguimiento_bebe->Primer_Nombre->FldCaption() ?></span></td>
		<td data-name="Primer_Nombre"<?php echo $seguimiento_bebe->Primer_Nombre->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Primer_Nombre" data-page="1">
<span<?php echo $seguimiento_bebe->Primer_Nombre->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Primer_Nombre->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Segundo_Nombre->Visible) { // Segundo_Nombre ?>
	<tr id="r_Segundo_Nombre">
		<td><span id="elh_seguimiento_bebe_Segundo_Nombre"><?php echo $seguimiento_bebe->Segundo_Nombre->FldCaption() ?></span></td>
		<td data-name="Segundo_Nombre"<?php echo $seguimiento_bebe->Segundo_Nombre->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Segundo_Nombre" data-page="1">
<span<?php echo $seguimiento_bebe->Segundo_Nombre->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Segundo_Nombre->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Primer_Apellido->Visible) { // Primer_Apellido ?>
	<tr id="r_Primer_Apellido">
		<td><span id="elh_seguimiento_bebe_Primer_Apellido"><?php echo $seguimiento_bebe->Primer_Apellido->FldCaption() ?></span></td>
		<td data-name="Primer_Apellido"<?php echo $seguimiento_bebe->Primer_Apellido->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Primer_Apellido" data-page="1">
<span<?php echo $seguimiento_bebe->Primer_Apellido->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Primer_Apellido->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Segundo_Apellido->Visible) { // Segundo_Apellido ?>
	<tr id="r_Segundo_Apellido">
		<td><span id="elh_seguimiento_bebe_Segundo_Apellido"><?php echo $seguimiento_bebe->Segundo_Apellido->FldCaption() ?></span></td>
		<td data-name="Segundo_Apellido"<?php echo $seguimiento_bebe->Segundo_Apellido->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Segundo_Apellido" data-page="1">
<span<?php echo $seguimiento_bebe->Segundo_Apellido->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Segundo_Apellido->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Registro_Civil->Visible) { // Registro_Civil ?>
	<tr id="r_Registro_Civil">
		<td><span id="elh_seguimiento_bebe_Registro_Civil"><?php echo $seguimiento_bebe->Registro_Civil->FldCaption() ?></span></td>
		<td data-name="Registro_Civil"<?php echo $seguimiento_bebe->Registro_Civil->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Registro_Civil" data-page="1">
<span<?php echo $seguimiento_bebe->Registro_Civil->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Registro_Civil->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Sexo->Visible) { // Sexo ?>
	<tr id="r_Sexo">
		<td><span id="elh_seguimiento_bebe_Sexo"><?php echo $seguimiento_bebe->Sexo->FldCaption() ?></span></td>
		<td data-name="Sexo"<?php echo $seguimiento_bebe->Sexo->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Sexo" data-page="1">
<span<?php echo $seguimiento_bebe->Sexo->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Sexo->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Nacimiento->Visible) { // Fecha_Nacimiento ?>
	<tr id="r_Fecha_Nacimiento">
		<td><span id="elh_seguimiento_bebe_Fecha_Nacimiento"><?php echo $seguimiento_bebe->Fecha_Nacimiento->FldCaption() ?></span></td>
		<td data-name="Fecha_Nacimiento"<?php echo $seguimiento_bebe->Fecha_Nacimiento->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Fecha_Nacimiento" data-page="1">
<span<?php echo $seguimiento_bebe->Fecha_Nacimiento->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Nacimiento->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Peso_Gramos->Visible) { // Peso_Gramos ?>
	<tr id="r_Peso_Gramos">
		<td><span id="elh_seguimiento_bebe_Peso_Gramos"><?php echo $seguimiento_bebe->Peso_Gramos->FldCaption() ?></span></td>
		<td data-name="Peso_Gramos"<?php echo $seguimiento_bebe->Peso_Gramos->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Peso_Gramos" data-page="1">
<span<?php echo $seguimiento_bebe->Peso_Gramos->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Peso_Gramos->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Recibio_Tratamiento_Profilactico->Visible) { // Recibio_Tratamiento_Profilactico ?>
	<tr id="r_Recibio_Tratamiento_Profilactico">
		<td><span id="elh_seguimiento_bebe_Recibio_Tratamiento_Profilactico"><?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->FldCaption() ?></span></td>
		<td data-name="Recibio_Tratamiento_Profilactico"<?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Recibio_Tratamiento_Profilactico" data-page="1">
<span<?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Recibio_Tratamiento_Profilactico->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Esquema_Tratamiento->Visible) { // Esquema_Tratamiento ?>
	<tr id="r_Esquema_Tratamiento">
		<td><span id="elh_seguimiento_bebe_Esquema_Tratamiento"><?php echo $seguimiento_bebe->Esquema_Tratamiento->FldCaption() ?></span></td>
		<td data-name="Esquema_Tratamiento"<?php echo $seguimiento_bebe->Esquema_Tratamiento->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Esquema_Tratamiento" data-page="1">
<span<?php echo $seguimiento_bebe->Esquema_Tratamiento->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Esquema_Tratamiento->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Otro->Visible) { // Otro ?>
	<tr id="r_Otro">
		<td><span id="elh_seguimiento_bebe_Otro"><?php echo $seguimiento_bebe->Otro->FldCaption() ?></span></td>
		<td data-name="Otro"<?php echo $seguimiento_bebe->Otro->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Otro" data-page="1">
<span<?php echo $seguimiento_bebe->Otro->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Otro->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Tipo_Tratamiento_Bebe->Visible) { // Tipo_Tratamiento_Bebe ?>
	<tr id="r_Tipo_Tratamiento_Bebe">
		<td><span id="elh_seguimiento_bebe_Tipo_Tratamiento_Bebe"><?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->FldCaption() ?></span></td>
		<td data-name="Tipo_Tratamiento_Bebe"<?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Tipo_Tratamiento_Bebe" data-page="1">
<span<?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Tipo_Tratamiento_Bebe->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->No_Primera_Carga_Viral->Visible) { // No_Primera_Carga_Viral ?>
	<tr id="r_No_Primera_Carga_Viral">
		<td><span id="elh_seguimiento_bebe_No_Primera_Carga_Viral"><?php echo $seguimiento_bebe->No_Primera_Carga_Viral->FldCaption() ?></span></td>
		<td data-name="No_Primera_Carga_Viral"<?php echo $seguimiento_bebe->No_Primera_Carga_Viral->CellAttributes() ?>>
<span id="el_seguimiento_bebe_No_Primera_Carga_Viral" data-page="1">
<span<?php echo $seguimiento_bebe->No_Primera_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->No_Primera_Carga_Viral->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Primera_Cviral->Visible) { // Fecha_Primera_Cviral ?>
	<tr id="r_Fecha_Primera_Cviral">
		<td><span id="elh_seguimiento_bebe_Fecha_Primera_Cviral"><?php echo $seguimiento_bebe->Fecha_Primera_Cviral->FldCaption() ?></span></td>
		<td data-name="Fecha_Primera_Cviral"<?php echo $seguimiento_bebe->Fecha_Primera_Cviral->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Fecha_Primera_Cviral" data-page="1">
<span<?php echo $seguimiento_bebe->Fecha_Primera_Cviral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Primera_Cviral->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Primer_Cviral_Dias->Visible) { // Edad_Primer_Cviral_Dias ?>
	<tr id="r_Edad_Primer_Cviral_Dias">
		<td><span id="elh_seguimiento_bebe_Edad_Primer_Cviral_Dias"><?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->FldCaption() ?></span></td>
		<td data-name="Edad_Primer_Cviral_Dias"<?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Edad_Primer_Cviral_Dias" data-page="1">
<span<?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Edad_Primer_Cviral_Dias->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Segunda_Carga_Viral->Visible) { // Segunda_Carga_Viral ?>
	<tr id="r_Segunda_Carga_Viral">
		<td><span id="elh_seguimiento_bebe_Segunda_Carga_Viral"><?php echo $seguimiento_bebe->Segunda_Carga_Viral->FldCaption() ?></span></td>
		<td data-name="Segunda_Carga_Viral"<?php echo $seguimiento_bebe->Segunda_Carga_Viral->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Segunda_Carga_Viral" data-page="1">
<span<?php echo $seguimiento_bebe->Segunda_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Segunda_Carga_Viral->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->Visible) { // No_Segunda_Carga_Viral_Bebe ?>
	<tr id="r_No_Segunda_Carga_Viral_Bebe">
		<td><span id="elh_seguimiento_bebe_No_Segunda_Carga_Viral_Bebe"><?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->FldCaption() ?></span></td>
		<td data-name="No_Segunda_Carga_Viral_Bebe"<?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->CellAttributes() ?>>
<span id="el_seguimiento_bebe_No_Segunda_Carga_Viral_Bebe" data-page="1">
<span<?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->No_Segunda_Carga_Viral_Bebe->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Segunda_Carga_Viral->Visible) { // Fecha_Segunda_Carga_Viral ?>
	<tr id="r_Fecha_Segunda_Carga_Viral">
		<td><span id="elh_seguimiento_bebe_Fecha_Segunda_Carga_Viral"><?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->FldCaption() ?></span></td>
		<td data-name="Fecha_Segunda_Carga_Viral"<?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Fecha_Segunda_Carga_Viral" data-page="1">
<span<?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Segunda_Carga_Viral->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->Visible) { // Edad_Segunda_Carga_Viral_Dias ?>
	<tr id="r_Edad_Segunda_Carga_Viral_Dias">
		<td><span id="elh_seguimiento_bebe_Edad_Segunda_Carga_Viral_Dias"><?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->FldCaption() ?></span></td>
		<td data-name="Edad_Segunda_Carga_Viral_Dias"<?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Edad_Segunda_Carga_Viral_Dias" data-page="1">
<span<?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Edad_Segunda_Carga_Viral_Dias->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Resultado_Tamizaje_M18->Visible) { // Resultado_Tamizaje_M18 ?>
	<tr id="r_Resultado_Tamizaje_M18">
		<td><span id="elh_seguimiento_bebe_Resultado_Tamizaje_M18"><?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->FldCaption() ?></span></td>
		<td data-name="Resultado_Tamizaje_M18"<?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Resultado_Tamizaje_M18" data-page="1">
<span<?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Resultado_Tamizaje_M18->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Tamizaje->Visible) { // Fecha_Tamizaje ?>
	<tr id="r_Fecha_Tamizaje">
		<td><span id="elh_seguimiento_bebe_Fecha_Tamizaje"><?php echo $seguimiento_bebe->Fecha_Tamizaje->FldCaption() ?></span></td>
		<td data-name="Fecha_Tamizaje"<?php echo $seguimiento_bebe->Fecha_Tamizaje->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Fecha_Tamizaje" data-page="1">
<span<?php echo $seguimiento_bebe->Fecha_Tamizaje->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Tamizaje->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Ultima_Cargaviral->Visible) { // Ultima_Cargaviral ?>
	<tr id="r_Ultima_Cargaviral">
		<td><span id="elh_seguimiento_bebe_Ultima_Cargaviral"><?php echo $seguimiento_bebe->Ultima_Cargaviral->FldCaption() ?></span></td>
		<td data-name="Ultima_Cargaviral"<?php echo $seguimiento_bebe->Ultima_Cargaviral->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Ultima_Cargaviral" data-page="1">
<span<?php echo $seguimiento_bebe->Ultima_Cargaviral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Ultima_Cargaviral->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Fecha_Ultima_Carga_viral->Visible) { // Fecha_Ultima_Carga_viral ?>
	<tr id="r_Fecha_Ultima_Carga_viral">
		<td><span id="elh_seguimiento_bebe_Fecha_Ultima_Carga_viral"><?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->FldCaption() ?></span></td>
		<td data-name="Fecha_Ultima_Carga_viral"<?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Fecha_Ultima_Carga_viral" data-page="1">
<span<?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Fecha_Ultima_Carga_viral->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Formula_Lactea->Visible) { // Formula_Lactea ?>
	<tr id="r_Formula_Lactea">
		<td><span id="elh_seguimiento_bebe_Formula_Lactea"><?php echo $seguimiento_bebe->Formula_Lactea->FldCaption() ?></span></td>
		<td data-name="Formula_Lactea"<?php echo $seguimiento_bebe->Formula_Lactea->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Formula_Lactea" data-page="1">
<span<?php echo $seguimiento_bebe->Formula_Lactea->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Formula_Lactea->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Edad_Dias_Bebe->Visible) { // Edad_Dias_Bebe ?>
	<tr id="r_Edad_Dias_Bebe">
		<td><span id="elh_seguimiento_bebe_Edad_Dias_Bebe"><?php echo $seguimiento_bebe->Edad_Dias_Bebe->FldCaption() ?></span></td>
		<td data-name="Edad_Dias_Bebe"<?php echo $seguimiento_bebe->Edad_Dias_Bebe->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Edad_Dias_Bebe" data-page="1">
<span<?php echo $seguimiento_bebe->Edad_Dias_Bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Edad_Dias_Bebe->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Clasificacion_Final_bebe->Visible) { // Clasificacion_Final_bebe ?>
	<tr id="r_Clasificacion_Final_bebe">
		<td><span id="elh_seguimiento_bebe_Clasificacion_Final_bebe"><?php echo $seguimiento_bebe->Clasificacion_Final_bebe->FldCaption() ?></span></td>
		<td data-name="Clasificacion_Final_bebe"<?php echo $seguimiento_bebe->Clasificacion_Final_bebe->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Clasificacion_Final_bebe" data-page="1">
<span<?php echo $seguimiento_bebe->Clasificacion_Final_bebe->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Clasificacion_Final_bebe->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Observaciones->Visible) { // Observaciones ?>
	<tr id="r_Observaciones">
		<td><span id="elh_seguimiento_bebe_Observaciones"><?php echo $seguimiento_bebe->Observaciones->FldCaption() ?></span></td>
		<td data-name="Observaciones"<?php echo $seguimiento_bebe->Observaciones->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Observaciones" data-page="1">
<span<?php echo $seguimiento_bebe->Observaciones->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Observaciones->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($seguimiento_bebe->Registrado_Por->Visible) { // Registrado_Por ?>
	<tr id="r_Registrado_Por">
		<td><span id="elh_seguimiento_bebe_Registrado_Por"><?php echo $seguimiento_bebe->Registrado_Por->FldCaption() ?></span></td>
		<td data-name="Registrado_Por"<?php echo $seguimiento_bebe->Registrado_Por->CellAttributes() ?>>
<span id="el_seguimiento_bebe_Registrado_Por" data-page="1">
<span<?php echo $seguimiento_bebe->Registrado_Por->ViewAttributes() ?>>
<?php echo $seguimiento_bebe->Registrado_Por->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<?php if ($seguimiento_bebe->Export == "") { ?>
<script type="text/javascript">
fseguimiento_bebeview.Init();
</script>
<?php } ?>
<?php
$seguimiento_bebe_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<?php if ($seguimiento_bebe->Export == "") { ?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php } ?>
<?php include_once "footer.php" ?>
<?php
$seguimiento_bebe_view->Page_Terminate();
?>
